NTTPD(1L)

NAME
nttpd

SYNOPSIS
nttpd [-b dataBaseDir] [-t tempDir] [-p port] [-w]

DESCRIPTION
nttpd is a program that provides an EXPERIMENTAL HTTP/1.0 interface to the NICETEXT system. The idea is to provide a quick and dirty way to do the nicetext(1L) and scramble(1L) transformations through a standard web browser. The qstart-nttpd shell-script may help you with a quick-start of the nttp-daemon.

WARNING
The nttpd program is EXPERIMENTAL - which is another way of saying it is a terrible hack of a program. Assume that it will be a resource hog and a security risk on your system. IT IS NOT REPRESENTATIVE OF THE REST OF THE NICETEXT SYSTEM, which is quite robust.

OPTIONS

-b dataBaseDir
    This is the location of the dictionary and style-source files. You should point this to the database directory of the standard NICETEXT distribution. The default is the current working directory.

-p port
    The TCP/IP port number that the server will listen for new connections. The default is 2119.

-t tempDir
    The location where the temporary nicetext and scramble'd text will be placed during processing. The default is /tmp.

-w  Allow connection from any machine on the World-Wide-Web. Otherwise, nttpd only accepts connections from localhost (127.0.0.1).

SEE ALSO
bitcp(1L), dct2mstr(1L), expgram(1L), genmodel(1L), gramtest(1L), impkimmo(1L), impmsc(1L), impwbstr(1L), listword(1L), nicetext(1L), printint(1L), scramble(1L), sortdct(1L), txt2dct(1L).